package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 地块基本信息合规性判定对象 t_dkjbxx_hgx
 *
 * @author siwei
 * @date 2025-02-10
 */
public class TDkjbxxHgx extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 地块ID
     */
    @Excel(name = "地块ID")
    private String dkjbxxId;

    /**
     * 审核流程ID
     */
    private String auditflowId;

    /**
     * 注释
     */
    @Excel(name = "注释")
    private String notes;

    /**
     * 判定结论 0 合法 1疑似违法 2其他
     */
    @Excel(name = "判定结论 0 合法 1疑似违法 2其他")
    private String decide;

    /**
     * 违法类型/合法情形
     */
    @Excel(name = "违法类型/合法情形")
    private String decideType;

    /**
     * 图斑序号
     */
    private Integer sort;


    private String geom;

    private Double area;

    private String recordId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDkjbxxId(String dkjbxxId) {
        this.dkjbxxId = dkjbxxId;
    }

    public String getDkjbxxId() {
        return dkjbxxId;
    }

    public void setDecide(String decide) {
        this.decide = decide;
    }

    public String getDecide() {
        return decide;
    }

    public void setDecideType(String decideType) {
        this.decideType = decideType;
    }

    public String getDecideType() {
        return decideType;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getNotes() {
        return notes;
    }

    public String getGeom() {
        return geom;
    }

    public void setGeom(String geom) {
        this.geom = geom;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public String getAuditflowId() {
        return auditflowId;
    }

    public void setAuditflowId(String auditflowId) {
        this.auditflowId = auditflowId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dkjbxxId", getDkjbxxId())
                .append("decide", getDecide())
                .append("decideType", getDecideType())
                .append("notes", getNotes())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .toString();
    }
}
